net.sourceforge.pmd.dcd.asm

## Class PrintVisitor

- java.lang.Object
- - net.sourceforge.pmd.dcd.asm.PrintVisitor

Direct Known Subclasses:
  TypeSignatureVisitor, UsageGraphBuilder.MyMethodVisitor

    public class PrintVisitor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PrintVisitor()`
`PrintVisitor(int level)`
`PrintVisitor(PrintVisitor parent)`

### Method Summary

Methods
`protected void` `println(String s)`
`protected void` `printlnIndent(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintVisitor

    public PrintVisitor()

#### PrintVisitor

    public PrintVisitor(PrintVisitor parent)

#### PrintVisitor

    public PrintVisitor(int level)

### Method Detail

#### println

    protected void println(String s)

#### printlnIndent

    protected void printlnIndent(String s)